//
//  BoosterPromotionView.swift
//
//
//  Created by Victor on 05/08/2024.
//

import SwiftUI

struct BoosterPromotionView: View {
    var body: some View {
        VStack(spacing: 0) {
            VStack(spacing: 16) {
                VStack {
                    SQText("Envie de booster votre activité ?", font: .bold)
                    SQText("Activez l’option Booster !", font: .demiBold)
                }
                BoosterStatsView()
                
                SQButton("Activer l’option Booster", color: .sqRoyal(), textColor: .white) {
                    
                }
            }
            .padding()
            .foregroundColor(.sqRoyal())
            .overlay(
                ZStack(alignment: .topLeading) {
                    Image("booster_corner")
                        .resizable()
                        .frame(width: 50, height: 50)
                        .cornerRadius(8, corners: .topLeft)
                    RoundedRectangle(cornerRadius: 8)
                        .stroke(Color.sqRoyal(), lineWidth: 2.0)
                }
            )
            .padding()

            Rectangle()
                .frame(height: 16)
                .foregroundColor(Color.sqNeutral(10))
        }
    }
}

#Preview {
    BoosterPromotionView()
}
